from abc import abstractmethod


class ResumeEmbeddingVectorGenerator:
    @abstractmethod
    async def generate(
        self,
        text: str,
    ) -> list[float]:
        raise NotImplementedError
